Skip to main content
GET
/
githubs
Python
import os
from qaip import Qaip

client = Qaip(
    api_key=os.environ.get("QAIP_API_KEY"),  # This is the default and can be omitted
)
githubs = client.githubs.list()
print(githubs.githubs)
{
  "githubs": [
    {
      "id": "<string>",
      "ingestion_setting_id": "<string>",
      "name": "<string>",
      "repository": "<string>",
      "reference_type": "default",
      "status": "unknown",
      "path_filters": [
        "<string>"
      ],
      "reference_param": "<string>",
      "creation_time": 123,
      "start_time": 123,
      "end_time": 123,
      "error": {
        "title": "<string>",
        "message": "<string>"
      },
      "metadata": {
        "records": [
          {
            "key": "<string>",
            "val": "<string>",
            "type": "string"
          }
        ]
      }
    }
  ],
  "pagination": {
    "limit": 123,
    "has_more": true,
    "total": 123,
    "next_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication

Query Parameters

limit
integer
default:20

Maximum number of results to return

Required range: 1 <= x <= 100
after_id
string<uuid>

Fetch records after this ID

Response

Successful retrieval of GitHub data sources

githubs
object[]
required
pagination
object
required